Summary: An ncurses-based audio mixer.
Name: aumix
Version: 1.18.2
Release: 2
Copyright: GPL
Group: Applications/Multimedia
Source: http://www.jpj.net/~trevor/aumix/aumix-%{version}.tar.gz
Patch: aumix.patch
Buildroot: /var/tmp/aumix-root

%description
Aumix is a tty based, interactive method of controlling a sound
card mixer. It lets you adjust the input levels from the CD, microphone,
and on board synthesizers, as well as the output volume. Aumix can adjust
audio mixers from the command line, from a script, or interactively at the
console or terminal with a full-screen ncurses-based interface.

Install aumix if you need to control an audio mixer.  If you install aumix,
you will also need to install ncurses (since aumix's interface is based on
ncurses) and gpm (for mouse support).

%prep
%setup
%build
./configure --prefix=/usr --without-alsa
patch -p1 -b --suffix .foo < $RPM_SOURCE_DIR/aumix.patch
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr install -C po
strip $RPM_BUILD_ROOT/usr/bin/aumix

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO NEWS ChangeLog
/usr/bin/aumix
/usr/man/man1/aumix.1
/usr/share/locale/*/*/*

%changelog
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- update to 1.18.2

* Mon Feb 22 1999 Bill Nottingham <notting@redhat.com>
- update to 1.18.1

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- update to 1.17

* Mon Feb  1 1999 Bill Nottingham <notting@redhat.com>
- update to 1.15

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 1.14

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binary

* Fri Oct  2 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.13

* Fri Aug 28 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.12

* Mon Aug 17 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.11

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.8

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed source url
- updated version

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built with glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 1.6.1.

